import 'package:comunic/ui/screens/call_screen.dart';
import 'package:flutter/material.dart';

/// Call window widget
///
/// @author Pierre HUBERT

class CallWindowWidget extends StatefulWidget {
  final int convID;

  const CallWindowWidget({
    Key key,
    this.convID,
  })  : assert(convID != null),
        super(key: key);

  @override
  _CallWindowWidgetState createState() => _CallWindowWidgetState();
}

class _CallWindowWidgetState extends State<CallWindowWidget> {
  @override
  Widget build(BuildContext context) {
    return Positioned(
      width: 500,
      height: 200,
      right: 10,
      top: 10,
      child: Card(child: CallScreen(convID: widget.convID)),
    );
  }
}
